[BLFS Trac] #1648: Mutt gcc4 issues

Alexander E. Patrakov patrakov at ums.usu.ru
Thu Mar 2 20:30:24 PST 2006


Dan Nicholson wrote:
> On 3/2/06, Bruce Dubbs <bdubbs at swbell.net> wrote:
>> Dan Nicholson wrote:
>>> Then, should I not update to 1.5.11 and instead figure out a patch
>>> that addresses the gcc4 issues with info in Locale Issues about 1.5.11
>>> for UTF-8?
>> Well in this case, no.  I downloaded both and did a diff:
> <snip>
>> My statement was that I *preferred* to patch, but it is not an absolute
>> requirement.

I would also prefer to patch the stable version of mutt. It did work 
(with UTF-8 support!) when compiled in UTF-8-enabled gcc-3.4 based LFS 
(aka the 6.x-utf8-r0 LiveCD).

> Well, then, I'm committing the note, stability be damned!  Although,
> Alexander did have a (presumably much smaller) patch that specifically
> addressed the gcc-4 issues in 1.4.2i.

The issue is that I have no working patch here. It is easy to create a 
patch that fixes a compilation problem. But in this case, there is a 
second problem: segfault at startup.

And there is no distro to steal the fix from: they all use Mutt-1.5 :(

-- 
Alexander E. Patrakov



More information about the blfs-book mailing list